Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ServiceBeanType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServiceBeanTypeImpl

    public interface ServiceBeanType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `service-beanType` xsd type

Original Documentation:

The service element holds all of the information specific about a service
bean which is a JBoss proprietary extension to EJB3 creating multithreaded, singleton
services. Service beans are the EJB3 analogy for JMX MBeans.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`AnnotationType<ServiceBeanType<T>>` | `annotation()` Returns the `annotation` element
`ClusterConfigType<ServiceBeanType<T>>` | `clusterConfig()` If not already created, a new `cluster-config` element will be created and returned.
`EjbLocalRefType<ServiceBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<ServiceBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`SecurityIdentityType<ServiceBeanType<T>>` | `ejbTimeoutIdentity()` If not already created, a new `ejb-timeout-identity` element will be created and returned.
`EnvEntryType<ServiceBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AnnotationType<ServiceBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getBusinessLocalList()` Returns all `business-local` elements
`java.util.List<java.lang.String>` | `getBusinessRemoteList()` Returns all `business-remote` elements
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<ServiceBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<ServiceBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<ServiceBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHomeJndiName()` Returns the `home-jndi-name` element
`java.util.List<IconType<ServiceBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.util.List<JndiRefType<ServiceBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.util.List<LocalBindingType<ServiceBeanType<T>>>` | `getLocalBindingList()` Returns all `local-binding` elements
`java.lang.String` | `getLocalJndiName()` Returns the `local-jndi-name` element
`java.lang.String` | `getManagement()` Returns the `management` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<ServiceBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getObjectName()` Returns the `object-name` element
`java.util.List<PersistenceContextRefType<ServiceBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<ServiceBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<ServiceBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<ServiceBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<RemoteBindingType<ServiceBeanType<T>>>` | `getRemoteBindingList()` Returns all `remote-binding` elements
`java.util.List<ResourceEnvRefType<ServiceBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<ServiceBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.util.List<ServiceRefType<ServiceBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`java.lang.String` | `getXmbean()` Returns the `xmbean` element
`IconType<ServiceBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<ServiceBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`java.lang.Boolean` | `isClustered()` Returns the `clustered` element
`java.lang.Boolean` | `isConcurrent()` Returns the `concurrent` element
`JndiRefType<ServiceBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`LocalBindingType<ServiceBeanType<T>>` | `localBinding()` Returns the `local-binding` element
`MessageDestinationRefType<ServiceBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MethodAttributesType<ServiceBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PersistenceContextRefType<ServiceBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<ServiceBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`PoolConfigType<ServiceBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`PortComponentType<ServiceBeanType<T>>` | `portComponent()` If not already created, a new `port-component` element will be created and returned.
`LifecycleCallbackType<ServiceBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<ServiceBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`RemoteBindingType<ServiceBeanType<T>>` | `remoteBinding()` Returns the `remote-binding` element
`ServiceBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`ServiceBeanType<T>` | `removeAllBusinessLocal()` Removes the `business-local` element
`ServiceBeanType<T>` | `removeAllBusinessRemote()` Removes the `business-remote` element
`ServiceBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`ServiceBeanType<T>` | `removeAllDescription()` Removes the `description` element
`ServiceBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServiceBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`ServiceBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`ServiceBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`ServiceBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServiceBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`ServiceBeanType<T>` | `removeAllLocalBinding()` Removes all `local-binding` elements
`ServiceBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`ServiceBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`ServiceBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`ServiceBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`ServiceBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`ServiceBeanType<T>` | `removeAllRemoteBinding()` Removes all `remote-binding` elements
`ServiceBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`ServiceBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`ServiceBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`ServiceBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`ServiceBeanType<T>` | `removeClusterConfig()` Removes the `cluster-config` element
`ServiceBeanType<T>` | `removeClustered()` Removes the `clustered` element
`ServiceBeanType<T>` | `removeConcurrent()` Removes the `concurrent` element
`ServiceBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`ServiceBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`ServiceBeanType<T>` | `removeEjbTimeoutIdentity()` Removes the `ejb-timeout-identity` element
`ServiceBeanType<T>` | `removeHomeJndiName()` Removes the `home-jndi-name` element
`ServiceBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`ServiceBeanType<T>` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`ServiceBeanType<T>` | `removeJndiName()` Removes the `jndi-name` element
`ServiceBeanType<T>` | `removeLocalJndiName()` Removes the `local-jndi-name` element
`ServiceBeanType<T>` | `removeManagement()` Removes the `management` element
`ServiceBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ServiceBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`ServiceBeanType<T>` | `removeObjectName()` Removes the `object-name` element
`ServiceBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`ServiceBeanType<T>` | `removePortComponent()` Removes the `port-component` element
`ServiceBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`ServiceBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ServiceBeanType<T>` | `removeXmbean()` Removes the `xmbean` element
`ResourceEnvRefType<ServiceBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<ServiceBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<ServiceBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ServiceRefType<ServiceBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`ServiceBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`ServiceBeanType<T>` | `setBusinessLocal(java.lang.String businessLocal)` Creates a new `business-local` element
`ServiceBeanType<T>` | `setBusinessLocalList(java.lang.String... values)` Creates for all String objects representing `business-local` elements, a new `business-local` element
`ServiceBeanType<T>` | `setBusinessRemote(java.lang.String businessRemote)` Creates a new `business-remote` element
`ServiceBeanType<T>` | `setBusinessRemoteList(java.lang.String... values)` Creates for all String objects representing `business-remote` elements, a new `business-remote` element
`ServiceBeanType<T>` | `setClustered(java.lang.Boolean clustered)` If not already created, a new `clustered` element with the given value will be created.
`ServiceBeanType<T>` | `setConcurrent(java.lang.Boolean concurrent)` If not already created, a new `concurrent` element with the given value will be created.
`ServiceBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`ServiceBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`ServiceBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServiceBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServiceBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServiceBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServiceBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`ServiceBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`ServiceBeanType<T>` | `setHomeJndiName(java.lang.String homeJndiName)` If not already created, a new `home-jndi-name` element with the given value will be created.
`ServiceBeanType<T>` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`ServiceBeanType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`ServiceBeanType<T>` | `setLocalJndiName(java.lang.String localJndiName)` If not already created, a new `local-jndi-name` element with the given value will be created.
`ServiceBeanType<T>` | `setManagement(java.lang.String management)` If not already created, a new `management` element with the given value will be created.
`ServiceBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ServiceBeanType<T>` | `setObjectName(java.lang.String objectName)` If not already created, a new `object-name` element with the given value will be created.
`ServiceBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`ServiceBeanType<T>` | `setXmbean(java.lang.String xmbean)` If not already created, a new `xmbean` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ServiceBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ServiceBeanType`

### setDescriptionList

    ServiceBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllDescription

    ServiceBeanType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ServiceBeanType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ServiceBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ServiceBeanType`

### setDisplayNameList

    ServiceBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllDisplayName

    ServiceBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ServiceBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ServiceBeanType`

### icon

    IconType<ServiceBeanType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ServiceBeanType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllEnvEntry

    ServiceBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `ServiceBeanType`

### envEntry

    EnvEntryType<ServiceBeanType<T>> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<ServiceBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    ServiceBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### ejbRef

    EjbRefType<ServiceBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<ServiceBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    ServiceBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### ejbLocalRef

    EjbLocalRefType<ServiceBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<ServiceBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    ServiceBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### resourceRef

    ResourceRefType<ServiceBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<ServiceBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    ServiceBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### resourceEnvRef

    ResourceEnvRefType<ServiceBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<ServiceBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    ServiceBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### messageDestinationRef

    MessageDestinationRefType<ServiceBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<ServiceBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    ServiceBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### persistenceContextRef

    PersistenceContextRefType<ServiceBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<ServiceBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    ServiceBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### persistenceUnitRef

    PersistenceUnitRefType<ServiceBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<ServiceBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    ServiceBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `ServiceBeanType`

### postConstruct

    LifecycleCallbackType<ServiceBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<ServiceBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    ServiceBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `ServiceBeanType`

### preDestroy

    LifecycleCallbackType<ServiceBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<ServiceBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    ServiceBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### serviceRef

    ServiceRefType<ServiceBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    java.util.List<ServiceRefType<ServiceBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Returns:
    list of `service-ref`

### setEjbName

    ServiceBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeEjbName

    ServiceBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getEjbName

    java.lang.String getEjbName()

  Returns the `ejb-name` element

  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    ServiceBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeMappedName

    ServiceBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### setBusinessLocal

    ServiceBeanType<T> setBusinessLocal(java.lang.String businessLocal)

  Creates a new `business-local` element

  Returns:
    the current instance of `ServiceBeanType`

### setBusinessLocalList

    ServiceBeanType<T> setBusinessLocalList(java.lang.String... values)

  Creates for all String objects representing `business-local` elements, a new `business-local` element

  Parameters:
    `list` - of `business-local` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllBusinessLocal

    ServiceBeanType<T> removeAllBusinessLocal()

  Removes the `business-local` element

  Returns:
    the current instance of `ServiceBeanType`

### getBusinessLocalList

    java.util.List<java.lang.String> getBusinessLocalList()

  Returns all `business-local` elements

  Returns:
    list of `business-local`

### setBusinessRemote

    ServiceBeanType<T> setBusinessRemote(java.lang.String businessRemote)

  Creates a new `business-remote` element

  Returns:
    the current instance of `ServiceBeanType`

### setBusinessRemoteList

    ServiceBeanType<T> setBusinessRemoteList(java.lang.String... values)

  Creates for all String objects representing `business-remote` elements, a new `business-remote` element

  Parameters:
    `list` - of `business-remote` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllBusinessRemote

    ServiceBeanType<T> removeAllBusinessRemote()

  Removes the `business-remote` element

  Returns:
    the current instance of `ServiceBeanType`

### getBusinessRemoteList

    java.util.List<java.lang.String> getBusinessRemoteList()

  Returns all `business-remote` elements

  Returns:
    list of `business-remote`

### setEjbClass

    ServiceBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeEjbClass

    ServiceBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Returns:
    the current instance of `ServiceBeanType`

### getEjbClass

    java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Returns:
    the node defined for the element `ejb-class`

### removeSecurityIdentity

    ServiceBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Returns:
    the current instance of `ServiceBeanType`

### securityIdentity

    SecurityIdentityType<ServiceBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Returns:
    the node defined for the element `security-identity`

### setObjectName

    ServiceBeanType<T> setObjectName(java.lang.String objectName)

  If not already created, a new `object-name` element with the given value will be created. Otherwise, the existing `object-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeObjectName

    ServiceBeanType<T> removeObjectName()

  Removes the `object-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getObjectName

    java.lang.String getObjectName()

  Returns the `object-name` element

  Returns:
    the node defined for the element `object-name`

### setManagement

    ServiceBeanType<T> setManagement(java.lang.String management)

  If not already created, a new `management` element with the given value will be created. Otherwise, the existing `management` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeManagement

    ServiceBeanType<T> removeManagement()

  Removes the `management` element

  Returns:
    the current instance of `ServiceBeanType`

### getManagement

    java.lang.String getManagement()

  Returns the `management` element

  Returns:
    the node defined for the element `management`

### setXmbean

    ServiceBeanType<T> setXmbean(java.lang.String xmbean)

  If not already created, a new `xmbean` element with the given value will be created. Otherwise, the existing `xmbean` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeXmbean

    ServiceBeanType<T> removeXmbean()

  Removes the `xmbean` element

  Returns:
    the current instance of `ServiceBeanType`

### getXmbean

    java.lang.String getXmbean()

  Returns the `xmbean` element

  Returns:
    the node defined for the element `xmbean`

### removeAllLocalBinding

    ServiceBeanType<T> removeAllLocalBinding()

  Removes all `local-binding` elements

  Returns:
    the current instance of `ServiceBeanType`

### localBinding

    LocalBindingType<ServiceBeanType<T>> localBinding()

  Returns the `local-binding` element

  Returns:
    the node defined for the element `local-binding`

### getLocalBindingList

    java.util.List<LocalBindingType<ServiceBeanType<T>>> getLocalBindingList()

  Returns all `local-binding` elements

  Returns:
    list of `local-binding`

### removeAllRemoteBinding

    ServiceBeanType<T> removeAllRemoteBinding()

  Removes all `remote-binding` elements

  Returns:
    the current instance of `ServiceBeanType`

### remoteBinding

    RemoteBindingType<ServiceBeanType<T>> remoteBinding()

  Returns the `remote-binding` element

  Returns:
    the node defined for the element `remote-binding`

### getRemoteBindingList

    java.util.List<RemoteBindingType<ServiceBeanType<T>>> getRemoteBindingList()

  Returns all `remote-binding` elements

  Returns:
    list of `remote-binding`

### setJndiName

    ServiceBeanType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeJndiName

    ServiceBeanType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setHomeJndiName

    ServiceBeanType<T> setHomeJndiName(java.lang.String homeJndiName)

  If not already created, a new `home-jndi-name` element with the given value will be created. Otherwise, the existing `home-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeHomeJndiName

    ServiceBeanType<T> removeHomeJndiName()

  Removes the `home-jndi-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getHomeJndiName

    java.lang.String getHomeJndiName()

  Returns the `home-jndi-name` element

  Returns:
    the node defined for the element `home-jndi-name`

### setLocalJndiName

    ServiceBeanType<T> setLocalJndiName(java.lang.String localJndiName)

  If not already created, a new `local-jndi-name` element with the given value will be created. Otherwise, the existing `local-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeLocalJndiName

    ServiceBeanType<T> removeLocalJndiName()

  Removes the `local-jndi-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getLocalJndiName

    java.lang.String getLocalJndiName()

  Returns the `local-jndi-name` element

  Returns:
    the node defined for the element `local-jndi-name`

### setJndiBindingPolicy

    ServiceBeanType<T> setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeJndiBindingPolicy

    ServiceBeanType<T> removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Returns:
    the current instance of `ServiceBeanType`

### getJndiBindingPolicy

    java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Returns:
    the node defined for the element `jndi-binding-policy`

### setClustered

    ServiceBeanType<T> setClustered(java.lang.Boolean clustered)

  If not already created, a new `clustered` element with the given value will be created. Otherwise, the existing `clustered` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeClustered

    ServiceBeanType<T> removeClustered()

  Removes the `clustered` element

  Returns:
    the current instance of `ServiceBeanType`

### isClustered

    java.lang.Boolean isClustered()

  Returns the `clustered` element

  Returns:
    the node defined for the element `clustered`

### removeClusterConfig

    ServiceBeanType<T> removeClusterConfig()

  Removes the `cluster-config` element

  Returns:
    the current instance of `ServiceBeanType`

### clusterConfig

    ClusterConfigType<ServiceBeanType<T>> clusterConfig()

  If not already created, a new `cluster-config` element will be created and returned. Otherwise, the existing `cluster-config` element will be returned.

  Returns:
    the node defined for the element `cluster-config`

### setSecurityDomain

    ServiceBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeSecurityDomain

    ServiceBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Returns:
    the current instance of `ServiceBeanType`

### getSecurityDomain

    java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    ServiceBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Returns:
    the current instance of `ServiceBeanType`

### methodAttributes

    MethodAttributesType<ServiceBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Returns:
    the node defined for the element `method-attributes`

### setDepends

    ServiceBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Returns:
    the current instance of `ServiceBeanType`

### setDependsList

    ServiceBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllDepends

    ServiceBeanType<T> removeAllDepends()

  Removes the `depends` element

  Returns:
    the current instance of `ServiceBeanType`

### getDependsList

    java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Returns:
    list of `depends`

### removeAllAnnotation

    ServiceBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Returns:
    the current instance of `ServiceBeanType`

### annotation

    AnnotationType<ServiceBeanType<T>> annotation()

  Returns the `annotation` element

  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    java.util.List<AnnotationType<ServiceBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Returns:
    list of `annotation`

### removeIgnoreDependency

    ServiceBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Returns:
    the current instance of `ServiceBeanType`

### ignoreDependency

    IgnoreDependencyType<ServiceBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    ServiceBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeAopDomainName

    ServiceBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Returns:
    the current instance of `ServiceBeanType`

### getAopDomainName

    java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    ServiceBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Returns:
    the current instance of `ServiceBeanType`

### poolConfig

    PoolConfigType<ServiceBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Returns:
    the node defined for the element `pool-config`

### setConcurrent

    ServiceBeanType<T> setConcurrent(java.lang.Boolean concurrent)

  If not already created, a new `concurrent` element with the given value will be created. Otherwise, the existing `concurrent` element will be updated with the given value.

  Returns:
    the current instance of `ServiceBeanType`

### removeConcurrent

    ServiceBeanType<T> removeConcurrent()

  Removes the `concurrent` element

  Returns:
    the current instance of `ServiceBeanType`

### isConcurrent

    java.lang.Boolean isConcurrent()

  Returns the `concurrent` element

  Returns:
    the node defined for the element `concurrent`

### removeAllJndiRef

    ServiceBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Returns:
    the current instance of `ServiceBeanType`

### jndiRef

    JndiRefType<ServiceBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    java.util.List<JndiRefType<ServiceBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Returns:
    list of `jndi-ref`

### removePortComponent

    ServiceBeanType<T> removePortComponent()

  Removes the `port-component` element

  Returns:
    the current instance of `ServiceBeanType`

### portComponent

    PortComponentType<ServiceBeanType<T>> portComponent()

  If not already created, a new `port-component` element will be created and returned. Otherwise, the existing `port-component` element will be returned.

  Returns:
    the node defined for the element `port-component`

### removeEjbTimeoutIdentity

    ServiceBeanType<T> removeEjbTimeoutIdentity()

  Removes the `ejb-timeout-identity` element

  Returns:
    the current instance of `ServiceBeanType`

### ejbTimeoutIdentity

    SecurityIdentityType<ServiceBeanType<T>> ejbTimeoutIdentity()

  If not already created, a new `ejb-timeout-identity` element will be created and returned. Otherwise, the existing `ejb-timeout-identity` element will be returned.

  Returns:
    the node defined for the element `ejb-timeout-identity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD